%define		fversion	%(echo %{version} |tr r -)
%define		modulename	mlbench
Summary:	Machine Learning Benchmark Problems
Summary(pl.UTF-8):	Problemy wydajności uczenia maszyn
Name:		R-cran-%{modulename}
Version:	2.1r1
Release:	2
License:	Free for non-commercial purposes (see README and data sets help pages for details)
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	9f06848b8e137b8a37417c92d8e57f3b
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of artificial and real-world machine learning benchmark
problems, including, e.g., several data sets from the UCI repository.

%description -l pl.UTF-8
Ten podpakiet R zawiera zestaw sztucznych i prawdziwych problemów
wydajności uczenia maszyn, w tym kilka zbiorów danych z repozytorium
UCI.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,NEWS,README}
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-mlbench.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 82dc57a
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> c2454c2
- up to 2.1-1

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> 1da4c7e
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5bd5b93
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77b5604
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> 56951e4
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Wed Nov 24 2004 ankry <ankry@pld-linux.org> 5b5f085
- O: R-mlbench, rel. 2

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> b98c21b
- pl fix, shortened License

* Wed Nov 17 2004 undefine <undefine@pld-linux.org> f443c26
- initital...

